All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans
Class StyleMapKeyTag

    com.sas.taglib.servlet.tbeans.StyleMapKeyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class StyleMapKeyTag

StyleMapKeyTag is the tag handler class for the sas:StyleMapKey custom tag . StyleMapKeyTag is invoked by the JSP page to evaluate the sas:StyleMapKey custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, StyleInfo, to execute the methods.

If you need to extend or modify the functionality of the sas:StyleMapKey custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:StyleMapKey custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.StyleInfoTag
`classid, style, styleInfoObj`

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, RB_KEY, REQUEST, SESSION`

Constructor Summary
`StyleMapKeyTag()`

Method Summary
`protected void` | `applyAttributes()` Called by the doStartTag method to set any variables or methods in the wrapped class.
`int` | `doStartTag()` Process the start tag for this instance.
`java.lang.String` | `getKey()` Returns the value of the style map key used in the style map.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setKey(java.lang.String key)` Sets the value of style map key.

Methods inherited from class com.sas.taglib.servlet.tbeans.StyleInfoTag
`getClassid, getStyle, setClassid, setStyle`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### StyleMapKeyTag

    public StyleMapKeyTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `StyleInfoTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### getKey

    public java.lang.String getKey()

  Returns the value of the style map key used in the style map.

  Returns:
    the style map key attribute.

### setKey

    public void setKey(java.lang.String key)

  Sets the value of style map key.

  Parameters:
    `key` - the style map key attribute.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `StyleInfoTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Description copied from class: `BaseTag`
  Called by the doStartTag method to set any variables or methods in the wrapped class. This method should be overriden in subclasses.

  Overrides:
    `applyAttributes` in class `StyleInfoTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.